Skip to main content

List timesheet areas

GET 

/api/timesheet-areas

Required permissions:

  • timetracking.view: allows view of resources owned by the user.

Here the dedicated support page.

Request

Query Parameters

    timesheet_id integer

    Filter items by the timesheet_id field.

    limit integer

    Possible values: >= 1 and <= 100

    Default value: 100

    The number of items to include in the response.

    offset integer

    Default value: 0

    The offset of the first returned item.

    updated_at date-time

    Filter items by the updated_at field.

    Operators:

    Usage: eq:{value}

Header Parameters

    Wethod-Company stringrequired

    The company you want to interact with

    Wethod-Version stringrequired

    The API version you want to use

Responses

Returns the list of timesheet areas.

Schema

  • Array [

  • id integerrequired

    Possible values: >= 1

    The unique identifier of the resource

    created_at date-timerequired

    The date and time when the resource was created

    updated_at date-timerequired

    The date and time when the resource was last updated

    timesheet_id integerrequired

    Possible values: >= 1

    ID of the timesheet associated with this area

    date daterequired
    budget_area_id integerrequired

    Possible values: >= 1

    Id of the budget area related to this timesheet area

    notes string

    Notes of the timesheet area

    ordinary_hours floatrequired

    The ordinary hours of the timesheet area

    remote_hours floatrequired

    The remote hours of the timesheet area

    travel_hours floatrequired

    The travel hours of the timesheet area

    overtime_hours floatrequired

    The overtime hours of the timesheet area

    night_shift_hours floatrequired

    The night shift hours of the timesheet area

  • ]

Loading...